#pragma once

#include <QHostAddress>

class ClientInfo
{
public:
    ClientInfo(const QHostAddress&, quint16);
    const QHostAddress& getIP();
    quint16 getPort();

private:
    QHostAddress    m_ip;       // 客户端 IP 地址
    quint16         m_nPort;    // 客户端端口号
};
