#pragma once

#include <QDialog>
#include "../Common/protocol.h"

namespace Ui
{
    class ChatWindow;
}

/**
 * 聊天窗口。
 */
class ChatWindow : public QDialog
{
    Q_OBJECT

public:
    explicit ChatWindow(const QString&, QWidget*);
    ~ChatWindow();
    void setContent(const Chat_S2C*);

signals:
    void UM_CHAT_C2S(const QString&, const QString&);   // 向服务器发送聊天信息的信号

private slots:
    void on_buttonSend_clicked();

private:
    Ui::ChatWindow* ui;             // 界面
    QString         m_qsFriendName; // 好友名
    QString         m_qsContent;    // 聊天内容
};
